{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
in

mkIf cfg.elasticsearch {

  # Paquets
  environment.systemPackages = with pkgs; [
  ];

  # Services

  ## E : http://localhost:9200/_cat/indices?v
  services.elasticsearch = {
    enable = true;
    port = 9200;
    listenAddress = "127.0.0.1";
    #listenAddress = "_site_";
  };

  # Réseau
  # -> Aucun port n'est ouvert caril est recommandé de mettre un proxy HTTP devant
  networking.firewall = {
    allowedTCPPorts = [
    ];
    allowedUDPPorts = [
    ];
  };
}
