{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
in

# TODO ranger le spécifique pulseaudio
mkIf (cfg.multimediaSuite && cfg.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    ## Audio
    paprefs       # préferences pulseaudio
    pavucontrol   # mixer pulseaudio

    ## Video
    smplayer      # lecteur vidéo
    vlc           # lecteur vidéo
  ];
}
