{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
in

mkIf cfg.developpement-rust {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Rust
    cargo               # récupération des dépendances + compilation projet rust
    rustc               # pour les appels depuis les scripts
  ];
}
