{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
in

mkIf cfg.multimediaSuite {

  # Paquets
  environment.systemPackages = with pkgs; [
    ## Audio
    beep
    cmus          # lecteur audio console
    espeak        # synthèse vocale
    vorbis-tools  # codec
  ];
}
