{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
in

mkIf true {

  # Sécurité & Accès distant
  # Services

  ## Augmentation de l'entropie du système par un générateur de nombres aléatoires
  ## cat /proc/sys/kernel/random/entropy_avail
  services.haveged = {
    enable = true;
    refill_threshold = 2048;
  };
}
